vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=322893

PHP 7 (vB3)
by Paul M
22 Jun 2016 00:05

For anyone interested in vB3 / PHP7.

http://www.vbulletin.com/forum/forum...3-php7-testing

rgxadmn 26 Jun 2016 16:55

Hi, PHP 7 compatibility; It will be provided with 3.8.10 stable version?

Paul M 26 Jun 2016 21:36

No.

As per the vb.com post ;

Quote:

Note that this is to test versions prior to the Alpha releases, which will probably be later in the summer.
Those will be 3.8.11 Alpha releases.

Paul M 04 Aug 2016 12:08

3.8.11 Alpha 1

http://www.vbulletin.com/forum/forum...ulletin-3-8-11

turkeybahis 04 Aug 2016 23:30

Merhaba vbulletin 3 x serisinde ne zaman mobil tema uyumu sağlanacak ? vbulletin 4 te oldugu gibi mobil uyumlu tema istiyoruz acıkcası?

MarkFL 04 Aug 2016 23:41

Quote:

Originally Posted by turkeybahis (Post 2574367)
Merhaba vbulletin 3 x serisinde ne zaman mobil tema uyumu sağlanacak ? vbulletin 4 te oldugu gibi mobil uyumlu tema istiyoruz acıkcası?

Please post in English...that is the language used by this community. :)

turkeybahis 05 Aug 2016 06:39

Quote:

Originally Posted by MarkFL (Post 2574368)
Please post in English...that is the language used by this community. :)

When will ensure compliance of mobile themes Powered by 3 x serial? Powered by 4 t that we want a mobile-friendly theme as clearly?

Paul M 05 Aug 2016 14:38

Never.

That sort of development work is simply not going to happen for vB3 or vB4, there are 3rd party [custom] responsive styles available if you want them.

Panzer Max 26 Aug 2016 10:40

I've been told to set up a new server with the latest versions of php and MySQL and start trying this out. Thanks for all you do, Paul.

waleedaboyasmen 06 Oct 2016 07:31

. Thanks for all you do, waleedaboyasmen

Paul M 27 Nov 2016 00:36

3.8.11 Beta 1 has been released today.

Paul M 01 May 2017 13:08

The final release of 3.8.11 will be next week.
This allows vB3 to run on PHP 7.0 & PHP 7.1


JFYI, I have PHP 7.2 installed on a test server, and changes in that will upset vB3.
I'm leaving IB, so I wont [officially] work on any 3.8.12, and I'm certain no one else will either.

sb225 03 May 2017 01:36

I think I have 3.6.7, but now nothing works also where can I see my license?

Paul M 10 May 2017 17:54

The final version of 3.8.11 has been released today.

wangyu1314 11 May 2017 05:56

Quote:

Originally Posted by Paul M (Post 2586086)
The final release of 3.8.11 will be next week.
This allows vB3 to run on PHP 7.0 & PHP 7.1


JFYI, I have PHP 7.2 installed on a test server, and changes in that will upset vB3.
I'm leaving IB, so I wont [officially] work on any 3.8.12, and I'm certain no one else will either.

thank you for you great success work. you help us much more.

scottphphq 06 Oct 2017 13:43

Quote:

Originally Posted by Paul M (Post 2586086)
JFYI, I have PHP 7.2 installed on a test server, and changes in that will upset vB3.
I'm leaving IB, so I wont [officially] work on any 3.8.12, and I'm certain no one else will either.

Do you know what changes in 7.2 break vb3? Not asking for you to write any code, just if you know what it revolves around.

I'm looking at https://github.com/php/php-src/blob/...0RC3/UPGRADING

davidg 25 Nov 2017 15:07

Quote:

Originally Posted by Paul M (Post 2586086)
The final release of 3.8.11 will be next week.
This allows vB3 to run on PHP 7.0 & PHP 7.1


JFYI, I have PHP 7.2 installed on a test server, and changes in that will upset vB3.
I'm leaving IB, so I wont [officially] work on any 3.8.12, and I'm certain no one else will either.

Paul if u leave vb3 wont be supported anymore?

Paul M 25 Nov 2017 15:59

I have already left (six months ago).

AFAIK, No-one is supporting VB3 or VB4 other than for critical security issues.
I'm making my own 3.8.12 & 4.2.6 versions for php 7.2, there are a few issues.

davidg 25 Nov 2017 16:17

Quote:

Originally Posted by Paul M (Post 2591251)
I have already left (six months ago).

AFAIK, No-one is supporting VB3 or VB4 other than for critical security issues.
I'm making my own 3.8.12 & 4.2.6 versions for php 7.2, there are a few issues.

Nice to know u are keeping the good work Paul.
Do you intend to share your own version or it will be private?

Paul M 27 Nov 2017 00:13

I havent decided yet, as I havent quite finished, there are a few bugs besides the actual 7.2 issues.

I don't think I'd be able to share it publicly, pretty sure IB would have kittens.
However, I suppose I could provide a private upgrade service to existing licence holders (for a small fee).

TBH, I havent really given it a lot of thought atm.

hunter1985 21 Jan 2018 23:25

@Paul M

Well Paul I'm really sad that you left IB as well see that vB3 and vB4 won't be updated for PHP 7.2 support, I really don't know what to say... I've used vB since 2001 when I used vB Lite with the purple and orange designs back then. It took me over 16 years to build my personal vB site not to forget I had to pay for new vB 5 license when my 72 or $85 1 yr lease license expired 12 years ago. I hope you could offer private updates for vB4.

artaman 15 Apr 2018 01:28

Is there still an option to get vb3 working with php7?..

MarkFL 15 Apr 2018 03:29

Quote:

Originally Posted by artaman (Post 2594170)
Is there still an option to get vb3 working with php7?..

vB 3.8.11 works with PHP 7.0.x and 7.1.x.

treki 21 Apr 2018 02:12

Quote:

Originally Posted by MarkFL (Post 2594171)
vB 3.8.11 works with PHP 7.0.x and 7.1.x.

Yes. 3.8.11 is PHP7 ready :D

Ipuck 23 Aug 2018 02:13

Did anyone test 3.8.11 with PHP 7.2?

In Omnibus 23 Aug 2018 02:56

Quote:

Originally Posted by Ipuck (Post 2596099)
Did anyone test 3.8.11 with PHP 7.2?

It doesn't work with PHP 7.2. 7.1 is the last version for which it was updated to work.

If there is a version which works with 7.2 it is not the official release.

lange 08 Jan 2019 21:24

I am willing to pay for an upgrade to 3.8.12 (PHP 7.2) from a licensed 3.8.11.

snakes1100 08 Jan 2019 22:07

PaulM dont come to this site anymore, you'll need to contact him another way.

lange 08 Jan 2019 22:53

Thanks!

I suppose that Paul can read as a guest.

It's not urgent, I will try to contact him on TAZ too in the next months. I have some mods /products to upgrade too.

I want a legal upgrade.
Budget: a good budget...

@+

Ipuck 15 Jan 2019 17:28

Anyone found a solution to make 3.8.11 work with 7.2? Just updated from 5.6 to 7.1, but I have only a few more monthw to move to 7.2

alex818 20 Jul 2019 21:08

where can I download 3.8.11 Thank you

Meister2017 20 Jul 2019 23:14

Hello,

i have a self made unofficial 3.8.12 version (not from Paul M) which runs on PHP 7.4 Alpha 2 but unfortunately no diffs for it. Unfortunately my time is very limited to create the diffs.

best regards

lange 29 Jul 2019 18:56

Quote:

Originally Posted by Meister2017 (Post 2599918)
Hello,

i have a self made unofficial 3.8.12 version (not from Paul M) which runs on PHP 7.4 Alpha 2 but unfortunately no diffs for it. Unfortunately my time is very limited to create the diffs.

best regards

It's a good reason to follow you! :D


Ref.: https://www.vbulletin.org/forum/show...7&postcount=20

RCK 12 Aug 2019 13:41

Hey Meister2017,

Thanks for the diff of vb4.2.5 !
Won't to mind to make the same kind of diff for vb3.8.11 ?

Cheers !

Meister2017 12 Aug 2019 14:39

Quote:

Originally Posted by RCK (Post 2600198)
Hey Meister2017,

Thanks for the diff of vb4.2.5 !
Won't to mind to make the same kind of diff for vb3.8.11 ?

Cheers !

As I have already said, I have little time and no desire to work unpaid.

Masterix 13 Aug 2019 10:45

Cool.
and where, i can pay what for 3.8.12 diffs?

Meister2017 13 Aug 2019 11:34

Quote:

Originally Posted by Masterix (Post 2600208)
Cool.
and where, i can pay what for 3.8.12 diffs?

you can pay here with bitcoin:
Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


oldengine 27 Aug 2019 07:31

Is there any real reason for going to 7.2 over 7.1?

My 3.8.11 works on 7.01 and nothing else. I've tried 5.5 etc.

Working at getting the bugs out of the hacks.

I suppose 4.2.5 is in my future.

Threads: 171,572, Posts: 1,503,988, Members: 97,349

EDIT: No, XenForo is NOW!

Dave 27 Aug 2019 12:06

Quote:

Originally Posted by oldengine (Post 2600411)
Is there any real reason for going to 7.2 over 7.1?

My 3.8.11 works on 7.01 and nothing else. I've tried 5.5 etc.

Working at getting the bugs out of the hacks.

I suppose 4.2.5 is in my future.

Threads: 171,572, Posts: 1,503,988, Members: 97,349

It's always good to use the latest PHP version for performance and security reasons. PHP 7.0.* already reached end of life and is no longer supported by PHP. PHP 7.1 will reach end of life on December 1st 2019. See https://www.php.net/supported-versions.php

Now even if you don't care much about end of life of PHP versions, your host might care and at some point remove those PHP versions.

ctrlbrk 16 May 2020 18:01

I'm looking for a 3.8.8 beta 1 to 3.8.12 diff that supports PHP 7.4. Paid request by PayPal if someone can provide exactly this, with a custom 3.8.12 that works properly with PHP 7.4.

Kwikms 16 Jul 2020 14:50

vbulletin.org runs on 3.8.14 - how about they provide some diffs for us? :) It is just a matter of time that thousands of vbulletins wont work anymore because of PHP forced updates.

Dave 16 Jul 2020 23:26

Quote:

Originally Posted by Kwikms (Post 2603521)
vbulletin.org runs on 3.8.14 - how about they provide some diffs for us? :) It is just a matter of time that thousands of vbulletins wont work anymore because of PHP forced updates.

I don't think that's something to worry about. If no one else will, I will personally provide the diffs for the different PHP versions and the latest vBulletin 3 & 4 versions.

Kwikms 17 Jul 2020 10:25

Quote:

Originally Posted by Dave (Post 2603522)
I don't think that's something to worry about. If no one else will, I will personally provide the diffs for the different PHP versions and the latest vBulletin 3 & 4 versions.

That would make you my personal hero and I guess for many many others as well. :up:

lange 17 Jul 2020 17:47

Quote:

Originally Posted by Dave (Post 2603522)
I don't think that's something to worry about. If no one else will, I will personally provide the diffs for the different PHP versions and the latest vBulletin 3 & 4 versions.

I am ready to pay for your PHP differentials ( vb 3.8.11 - PHP 7.3+).

Eventually for an update to MySQL 8 too.

Kwikms 06 Aug 2020 15:34

Quote:

Originally Posted by Dave (Post 2603522)
I don't think that's something to worry about. If no one else will, I will personally provide the diffs for the different PHP versions and the latest vBulletin 3 & 4 versions.

What can we do to support you doing this?

wangyu1314 12 Aug 2020 05:34

I think compatibility with PHP 8.0 is our new task.

Hostboard 17 Aug 2020 23:50

Quote:

Originally Posted by lange (Post 2603530)
I am ready to pay for your PHP differentials ( vb 3.8.11 - PHP 7.3+).

Eventually for an update to MySQL 8 too.

I would shy away from MySQL and move to MariaDB.

Kwikms 08 Sep 2020 09:56

Quote:

Originally Posted by Dave (Post 2603522)
I don't think that's something to worry about. If no one else will, I will personally provide the diffs for the different PHP versions and the latest vBulletin 3 & 4 versions.

It is not going to happen, is it?

Hostboard 16 Sep 2020 14:50

Quote:

Originally Posted by Kwikms (Post 2603918)
It is not going to happen, is it?

While I can not and do not speak for Dave, I do know he has been extremely busy as of late.

RCK 23 Sep 2020 08:01

Quote:

Originally Posted by Dave (Post 2603522)
I don't think that's something to worry about. If no one else will, I will personally provide the diffs for the different PHP versions and the latest vBulletin 3 & 4 versions.

This would be awesome Dave !
Tell us how we should proceed, vB 3.8.11 on php 7.0 here :)

Hostboard 23 Sep 2020 12:02

4.2.5 & 3.8.11 should be able to run on PHP 7.1 versions with little to no issues. Your problem is plugins and modifications may or may not support this version of PHP and beyond. They might limp along, if you disable error reporting. YMMV

It is the jump to PHP 7.2 and beyond where the issues start.

RCK 23 Sep 2020 16:01

I'm on Debian9 here (oldstable), so if I jump to Debian10, it will be PHP 7.3
So yes, I would like a diff from Dave to make my venerable vb3 to be compatible with this release of PHP, it would be awesome :)

lange 01 Oct 2020 10:04

Quote:

Originally Posted by Dave (Post 2603522)
I don't think that's something to worry about. If no one else will, I will personally provide the diffs for the different PHP versions and the latest vBulletin 3 & 4 versions.
Quote:

Originally Posted by Kwikms (Post 2603918)
It is not going to happen, is it?

Quote:

Originally Posted by Hostboard (Post 2603984)
While I can not and do not speak for Dave, I do know he has been extremely busy as of late.


I will be able to give my diffs PHP 7.2+ but not before 2021. I am still busy customizing my responsive version and I also need to update the custom work on vB5 done by Sultantheme.

Hostboard 01 Oct 2020 11:59

If I remember correctly I think Germany .org site had posted the diffs.

lange 01 Oct 2020 12:43

Quote:

Originally Posted by Hostboard (Post 2604120)
If I remember correctly I think Germany .org site had posted the diffs.

OK

For the record (the PM), I'm customizing this responsive theme: https://www.sultantheme.com/forum/index.php?&styleid=10


@+

lange 24 Oct 2020 19:05

For the record, my vBulletin 3.8.11 + many products/mod are running fine on PHP 7.4.11.

My host upgraded PHP to 7.4.x yesterday.

The latest version Vb 5.6.4 is running fine too.

Panzer Max 28 Oct 2020 02:04

Quote:

Originally Posted by lange (Post 2604121)
OK

For the record (the PM), I'm customizing this responsive theme: https://www.sultantheme.com/forum/index.php?&styleid=10


@+

I bought that theme a couple years ago, works pretty well. How are you customizing it?

lange 28 Oct 2020 10:53

- Two columns on all pages except in the postbit
- Each page has its own content
- Many products/plugins
- Audio messages (PM, login/logout message ...)
- a lot of conditionals




.

RCK 30 Mar 2021 10:28

Quote:

Originally Posted by lange (Post 2604118)
I will be able to give my diffs PHP 7.2+ but not before 2021. I am still busy customizing my responsive version and I also need to update the custom work on vB5 done by Sultantheme.

Hi Lange,
We are now in 2021 :)
Do you think you will be able to provide the diff for PHP 7.2+ support ?

Thanks !

lange 30 Mar 2021 14:08

Unfortunately, I don't have time for that right now. I haven't finished working on this version yet, I have an issue with the promotion cron job. So I will be busy on vB5 for the next few weeks.

Dr.CustUmz provides 7.4 : https://www.vbulletin.org/forum/showthread.php?t=328628


All times are GMT. The time now is 00:14.

Powered by vBulletin® Version 3.8.14
Copyright © 2021, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.